import {Component, OnInit} from '@angular/core';
import * as wd from 'wgpu-demo';
import init from 'wgpu-demo';

@Component({
  selector: 'app-root',
  templateUrl: './app.component.html',
  styleUrls: ['./app.component.css']
})
export class AppComponent implements OnInit {
  name = 'Angular';
  title = 'wgpu-demo';
  answer = 23;

  ngOnInit(){
    let wasm_url = new URL('assets/wgpu_demo_bg.wasm', 'http://localhost:4200/')
    init(wasm_url).then(() => {
      console.log("WASM Loaded");
    });
  }
}
